Search documentation of grizzly

# View Source Grizzly.ZWave.CommandClasses.UserCode (grizzly v7.4.2)

Command Class for working with user codes

# Summary

## Types

extended_user_code()
extended_user_id()
keypad_mode()
user_id_status()

## Functions

decode_extended_user_codes(user_codes_bin)
encode_extended_user_code(user_code)
keypad_mode_from_byte(arg1)
keypad_mode_to_byte(atom)
user_id_status_from_byte(arg1)
user_id_status_to_byte(atom)

# Types

Link to this type

# extended_user_code()

View Source

    @type extended_user_code() :: %{
      user_id: extended_user_code(),
      user_id_status: user_id_status(),
      user_code: String.t()
    }

Link to this type

# extended_user_id()

View Source

    @type extended_user_id() :: 0..65535

Link to this type

# keypad_mode()

View Source

    @type keypad_mode() :: :normal | :vacation | :privacy | :lockout | :unknown

Link to this type

# user_id_status()

View Source

    @type user_id_status() ::
      :available
      | :occupied
      | :disabled
      | :messaging
      | :passage
      | :status_not_available
      | :unknown

# Functions

Link to this function

# decode_extended_user_codes(user_codes_bin)

View Source

    @spec decode_extended_user_codes(binary()) ::
      {user_codes :: [extended_user_code()], remainder :: binary()}

Link to this function

# encode_extended_user_code(user_code)

View Source
Link to this function

# keypad_mode_from_byte(arg1)

View Source

    @spec keypad_mode_from_byte(byte()) :: keypad_mode()

Link to this function

# keypad_mode_to_byte(atom)

View Source

    @spec keypad_mode_to_byte(keypad_mode()) :: 0 | 1 | 2 | 3

Link to this function

# user_id_status_from_byte(arg1)

View Source

    @spec user_id_status_from_byte(byte()) :: user_id_status()

Link to this function

# user_id_status_to_byte(atom)

View Source

    @spec user_id_status_to_byte(user_id_status()) :: byte()